Plugins API documentation: Class AuditPluginImpl

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.modules.qa.utils
Class AuditPluginImpl

    java.lang.Object
      |
      +--com.togethersoft.modules.qa.utils.PluginImpl
            |
            +--com.togethersoft.modules.qa.utils.AuditPluginImpl

All Implemented Interfaces:
  AuditPlugin, Plugin

public abstract class AuditPluginImpl
extends PluginImpl
implements AuditPlugin

Audit plugin implementation - abstract class serving as ancestor for all audit plugins

Fields inherited from class com.togethersoft.modules.qa.utils.PluginImpl
`currCls, currMbr, emptyOptionsPane, level, PROC_ATTRS, PROC_OPERS, procGoal, stopIter, trace`

Fields inherited from interface com.togethersoft.modules.qa.api.AuditPlugin
`SEVERITY_HIGH, SEVERITY_LOW, SEVERITY_NORMAL`

Constructor Summary
`AuditPluginImpl()`

Method Summary
`java.lang.String` | `getDefaultSeverity()` Gets default severity for plugin (SEVERITY_LOW, SEVERITY_NORMAL or SEVERITY_HIGH) Default implementation returns SEVERITY_NORMAL.
`java.lang.String` | `getDescriptionFileName()` Gets the of description file name of plugin By default, description file name is the same as plugin class file name but with the extemsion of ".html".
`java.lang.String` | `getPropertiesFileName()` Gets the of properties file name of plugin By default, properties file name is the same as plugin class file name but with the extemsion of ".properties".

Methods inherited from class com.togethersoft.modules.qa.utils.PluginImpl
`canProcessByteCode, createOptionsPane, examineExpression, getAbbreviation, getDefaultChoice, getGroupName, getOptionsPane, getProperty, getProperty, getProperty, getTitle, indent, isByteCode, isDefaultPkg, load, prepare, process, processAttrib, processAttribs, processCaseStmt, processCatchStmt, processClass, processCodeBlock, processCompStmt, processConceptVar, processDeclStmt, processExpression, processExprStmt, processIfStmt, processInitValue, processLocalVar, processLoopStmt, processOper, processOpers, processParam, processReturnStmt, processStatement, processSwitchStmt, processThrowSpec, processThrowStmt, processTryStmt, putProperty, putProperty, putProperty, restoreOptions, storeOptions, traceAttr, traceExpr, traceOper, traceStmt, traceVar`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface com.togethersoft.modules.qa.api.AuditPlugin
`run`

Methods inherited from interface com.togethersoft.modules.qa.api.Plugin
`canProcessByteCode, createOptionsPane, getAbbreviation, getDefaultChoice, getGroupName, getOptionsPane, getTitle, load, prepare, restoreOptions, storeOptions`

Constructor Detail

### AuditPluginImpl

    public AuditPluginImpl()

Method Detail

### getDefaultSeverity

    public java.lang.String getDefaultSeverity()

  Gets default severity for plugin (SEVERITY_LOW, SEVERITY_NORMAL or SEVERITY_HIGH) Default implementation returns SEVERITY_NORMAL.
  Specified by:
    `getDefaultSeverity` in interface `AuditPlugin`
  Returns:
    default severity
  See Also:
    `SEVERITY_LOW`, `SEVERITY_NORMAL`, `SEVERITY_HIGH`

### getDescriptionFileName

    public java.lang.String getDescriptionFileName()

  Gets the of description file name of plugin By default, description file name is the same as plugin class file name but with the extemsion of ".html".
  Specified by:
    `getDescriptionFileName` in interface `Plugin`
  Returns:
    description file name

### getPropertiesFileName

    public java.lang.String getPropertiesFileName()

  Gets the of properties file name of plugin By default, properties file name is the same as plugin class file name but with the extemsion of ".properties".
  Specified by:
    `getPropertiesFileName` in interface `Plugin`
  Overrides:
    `getPropertiesFileName` in class `PluginImpl`
  Returns:
    properties file name

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD